---
name: "\U0001F41B Bug report"
about: Report a reproducible bug or regression in this library.
title: ''
labels: bug
assignees: ''

---

# Bug report

<!--
👋 Hi!

🚨 Please read the following carefully before opening a new issue. Your issue may
be closed if it doesn't provide the required pieces of information. 🚨

We expect that it will take you about 30 minutes to produce a high-quality bug report.
While this may seem like a lot, putting care into issues helps us fix them faster.
For bug reports, it is REQUIRED to fill the rest of this template, or the issue will be closed.

Before submitting a new issue, please:

- Test using the latest release of the library, as maybe your bug has been already fixed.
- Check the existing [Issues](https://github.com/react-community/react-native-maps/issues?utf8=%E2%9C%93&q=) or on StackOverflow if there isn't a fix already for your problem.

Make sure you have followed the [Installation Instructions](https://github.com/react-community/react-native-maps/blob/master/docs/installation.md) too.

Still ready? Fill the template. 👇
-->

## Summary

<!--
Provide a clear and concise description of what the bug is.
-->

## Environment info

<!--
  Please specify the react, react-native, react-native-maps versions, eg:

      react-native: 0.51.0
      react: 16.0.0
      react-native-maps: 0.19.0 or "git+ssh://git@github.com/react-native-maps/react-native-maps.git"

    ***Make sure you are on v0.48.0 or greater of react-native, otherwise you may get this error:

    Target Platform: eg: iOS - 11.2 Simulator/iPhone 6, Android 7.1.1/Galaxy S6/Genymotion etc

    ***If your target is iOS , please specify if you are using AppleMaps or GoogleMaps
-->

`react-native info` output:

```bash
# paste your react, react-native, react-native-maps versions here
```

## Steps to reproduce

<!--
- You must provide a clear list of steps and code to reproduce the problem.
- Keep the code reproducing the bug as simple as possible, with the minimum amount of code required to reproduce the issue. See https://stackoverflow.com/help/mcve.
- If this library has additional install steps, describe them (e.g., pod install? jetify? etc).
- Either re-create the bug using the repository's example app or link to a GitHub repository with code that reproduces the bug.
- Explain the steps we need to take to reproduce the issue:
-->

1. …
2. …

Describe what you expected to happen:

<!--
  How did you expect your project to behave?
  It’s fine if you’re not sure your understanding is correct.
  Just write down what you thought would happen.
-->

1. …
2. …

Describe what you actually happens:

<!--
  Did something go wrong?
  Is something broken, or not behaving as you expected?
  Describe this section in detail, and attach screenshots if possible.
  Don't just say "it doesn't work"!
-->

1. …
2. …

## Reproducible sample code

<!--
  Please add minimal runnable repro as explained above so that the bug can be tested in isolation.
  If needed, you can also provide other samples: error messages / stack traces, screenshots, gifs, etc.

  Here are two ways to do it:

    * Create a new app using https://snack.expo.io/ and try to reproduce the issue in it.
      This is useful if you roughly know where the problem is, or can’t share the real code.

    * Or, copy your app and remove things until you’re left with the minimal reproducible demo.
      This is useful for finding the root cause. You may then optionally create a Snack.

  Once you’re done, copy and paste the link to the Snack or a public GitHub repository below:
-->
